# Format: //devtools/kokoro/config/proto/build.proto

# Build logs will be here
action {
  define_artifacts {
    regex: "**/*sponge_log.xml"
  }
}

# Bring in codecov.io master token into the build as $KOKORO_KEYSTORE_DIR/73713_dpebot_codecov_token
before_action {
  fetch_keystore {
    keystore_resource {
      keystore_config_id: 73713
      keyname: "dpebot_codecov_token"
    }
  }
}

# Download trampoline resources.
gfile_resources: "/bigstore/cloud-devrel-kokoro-resources/trampoline"

# Use the trampoline script to run in docker.
build_file: "google-api-nodejs-client/.kokoro/trampoline_v2.sh"

# Configure the docker image for kokoro-trampoline.
env_vars: {
    key: "TRAMPOLINE_IMAGE"
    value: "gcr.io/cloud-devrel-kokoro-resources/node:10-user"
}
env_vars: {
    key: "TRAMPOLINE_BUILD_FILE"
    value: "github/google-api-nodejs-client/.kokoro/test.sh"
}
